Problem installing Safari 4.0.3 on OS X 10.6.1

Discussion in 'macOS' started by carrerascott, Nov 7, 2009.

  1. carrerascott macrumors regular

    Joined:
    Mar 18, 2009
    #1
    I was having Safari problems so I deleted my Safari and downloaded a fresh copy of 4.0.3 from Apple.

    Went to install and where it says select disk, I click my hard drive, and it says "Safari can't be installed on this disk. This update requires Mac OS X 10.5.8 or newer."

    I am running 10.6.1.

    Any ideas? I need to get Safari installed again...

    Thanks

    My system:
    Model Name: iMac
    Model Identifier: iMac7,1
    Processor Name: Intel Core 2 Duo
    Processor Speed: 2.4 GHz
    Number Of Processors: 1
    Total Number Of Cores: 2
    L2 Cache: 4 MB
    Memory: 4 GB
    Bus Speed: 800 MHz
    Boot ROM Version: IM71.007A.B03
     
  2. Hellhammer Moderator

    Hellhammer

    Staff Member

    Joined:
    Dec 10, 2008
    Location:
    Finland
    #2
    Snow Leopard has 64-bit Safari which can't be downloaded (yet). Your best bet is to reinstall 10.6, so put the disk in and start the install (everything will stay the same, only Safari will install)
     
  3. carrerascott thread starter macrumors regular

    Joined:
    Mar 18, 2009
    #3
    Thanks, took an hour but it worked! Much appreciated.
     
  4. celticpride678

    Joined:
    Feb 15, 2009
    Location:
    Boston, MA
    #4
    I know it is a bit late, but a reinstall of the OS was not fully needed. Safari has become an optional install on the Mac OS X Snow Leopard Install DVD. Go into Option Installs and you have the option of reinstalling Safari.
     

Share This Page